temp_dir: '/tmp/'
segment_prefix: 'sample'
index_prefix: 'stream'

# type of logging: STDOUT, FILE
log_type: 'STDOUT'
#log_type: 'FILE'
#log_file: '/tmp/streamer.log'
# levels: DEBUG, INFO, WARN, ERROR
log_level: 'DEBUG'

# where the origin video is going to come from
input_location: 'http://localhost:8080/'

# segment length in seconds
segment_length: 10 

# this is the URL where the stream (ts) files will end up
# if this location is the same as the location where the m3u8 
# index is then leave it blank
# url_prefix: ''
url_prefix: 'http://192.168.132.15/streamingvideo/'

# how many segments to keep in the index
index_segment_count: 15

# this command is used for multirate encodings and is what pushes the encoders
source_command: 'ffmpeg -er 4 -y -i %s -vcodec copy -acodec copy -f ogg -'

# This is the location of the segmenter
segmenter_binary: './live_segmenter'

# the encoding profile to use
#encoding_profile: [ 'ep_128k' ] # <- you can force this to do two passes if you want
encoding_profile: 'ep_128k'

# The upload profile to use
transfer_profile: 'copy_dev'

#
# Encoding profiles
#
ep_128k: 
  ffmpeg_command: "ffmpeg -er 4 -y -i %s -f mpegts -acodec libmp3lame -ar 48000 -ab 64k -s 320x240 -vcodec libx264 -b 128k -flags +loop -cmp +chroma -partitions +parti4x4+partp8x8+partb8x8 -subq 5 -trellis 1 -refs 1 -coder 0 -me_range 16 -keyint_min 25 -sc_threshold 40 -i_qfactor 0.71 -bt 128k -maxrate 128k -bufsize 128k -rc_eq 'blurCplx^(1-qComp)' -qcomp 0.6 -qmin 10 -qmax 51 -qdiff 4 -level 30 -aspect 320:240 -g 30 -async 2 - | %s %s %s %s %s"
  bandwidth: 128000

ep_386k: 
  ffmpeg_command: "ffmpeg -er 4 -y -i %s -f mpegts -acodec libmp3lame -ar 48000 -ab 64k -s 320x240 -vcodec libx264 -b 386k -flags +loop -cmp +chroma -partitions +parti4x4+partp8x8+partb8x8 -subq 5 -trellis 1 -refs 1 -coder 0 -me_range 16 -keyint_min 25 -sc_threshold 40 -i_qfactor 0.71 -bt 386k -maxrate 386k -bufsize 386k -rc_eq 'blurCplx^(1-qComp)' -qcomp 0.6 -qmin 10 -qmax 51 -qdiff 4 -level 30 -aspect 320:240 -g 30 -async 2 - | %s %s %s %s %s"
  bandwidth: 386000

ep_512k: 
  ffmpeg_command: "ffmpeg -er 4 -y -i %s -f mpegts -acodec libmp3lame -ar 48000 -ab 64k -s 320x240 -vcodec libx264 -b 512k -flags +loop -cmp +chroma -partitions +parti4x4+partp8x8+partb8x8 -subq 5 -trellis 1 -refs 1 -coder 0 -me_range 16 -keyint_min 25 -sc_threshold 40 -i_qfactor 0.71 -bt 512k -maxrate 512k -bufsize 512k -rc_eq 'blurCplx^(1-qComp)' -qcomp 0.6 -qmin 10 -qmax 51 -qdiff 4 -level 30 -aspect 320:240 -g 30 -async 2 - | %s %s %s %s %s"
  bandwidth: 512000

#
# Transfer profiles
#
s3_dev:
  transfer_type: 's3'
  bucket_name: 'bucket'
  key_prefix: 'stream0001'
  aws_api_key: 'key'
  aws_api_secret: 'secret'

ftp_dev:
  transfer_type: 'ftp'
  remote_host: '192.168.1.1'
  user_name: 'user'
  password: 'pass'
  directory: 'html/streamingvideo'

scp_dev:
  transfer_type: 'scp'
  remote_host: '192.168.1.1'
  user_name: 'root'
  #password: 'pass'
  directory: '/web/sites/test.com/html/streamingvideo'

copy_dev:
  transfer_type: 'copy'
  directory: '/var/www/html/streamingvideo'
